<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/classes/expansionbullettrace.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d6e/a03314_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbullettrace.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d6e/a03314.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBulletTrace.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d53/a07894.html">ExpansionBulletTrace</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">   15</a></span>    Object <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">   16</a></span>    vector <a class="code hl_variable" href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">m_PreviousPosition</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#a5b3b6b5a57ed97b82883832c16e05f72">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d1/d53/a07894.html#a5b3b6b5a57ed97b82883832c16e05f72">m_PreviousTime</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">   19</a></span>    ref array&lt; Shape &gt; <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#ad6f5c715fddba352733a36747f9650ff">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d53/a07894.html#ad6f5c715fddba352733a36747f9650ff">ExpansionBulletTrace</a>( Object obj )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a> = obj;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a> )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">m_PreviousPosition</a> = <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a>.GetPosition();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a> = <span class="keyword">new</span> array&lt; Shape &gt;();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#ab8f28e2c37fc45e454cf1286a93ef153">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d53/a07894.html#ab8f28e2c37fc45e454cf1286a93ef153">~ExpansionBulletTrace</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a>.Count(); ++i )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a>[i].Destroy();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment"></span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">    /**</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">     * </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">     * /return Return false to delete the class and debug shapes</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">     */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/d53/a07894.html#a2ab445c1a435ad8d206a1d0847062b0c">   43</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d53/a07894.html#a2ab445c1a435ad8d206a1d0847062b0c">OnUpdate</a>( <span class="keywordtype">float</span> timeslice )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a> == NULL )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordtype">float</span> time = GetGame().GetTickTime();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordtype">float</span> delta = ( time - <a class="code hl_variable" href="../../d1/d53/a07894.html#a5b3b6b5a57ed97b82883832c16e05f72">m_PreviousTime</a> );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d1/d53/a07894.html#a5b3b6b5a57ed97b82883832c16e05f72">m_PreviousTime</a> = time;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="comment">//Print( delta );</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="comment">//Print( timeslice );</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        vector pts[2]</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        pts[0] = <a class="code hl_variable" href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">m_PreviousPosition</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        pts[1] = <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a>.GetPosition();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        vector velocity = vector.Direction( pts[0], pts[1] );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordtype">float</span> speed = ( velocity.Length() / delta );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordtype">float</span> scale = 500;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordtype">int</span> r = 1.0 - Math.Clamp( ( speed - ( scale * 0.0 ) ) / ( scale * 2.0 ), 0.0, 1.0 );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordtype">int</span> g = 1.0 - Math.Clamp( ( speed - ( scale * 1.0 ) ) / ( scale * 2.0 ), 0.0, 1.0 );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordtype">int</span> b = 1.0 - Math.Clamp( ( speed - ( scale * 2.0 ) ) / ( scale * 2.0 ), 0.0, 1.0 );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        r *= r * 255;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        g *= g * 255;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        b *= b * 255;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="comment">//Print( speed );</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="comment">//Print( r );</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="comment">//Print( g );</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="comment">//Print( b );</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_variable" href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">m_PreviousPosition</a> = <a class="code hl_variable" href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">m_Object</a>.GetPosition();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_variable" href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">m_Shapes</a>.Insert( Shape.CreateLines( <a class="code hl_class" href="../../d4/d8a/a04362.html">ExpansionStatic</a>.<a class="code hl_function" href="../../d4/d8a/a04362.html#a13e172e665473139a9fb8030cbf6cd73">ARGBtoInt</a>( 200, r, g, b ), ShapeFlags.TRANSP, pts, 2 ) );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>};</div>
<div class="ttc" id="aa04362_html"><div class="ttname"><a href="../../d4/d8a/a04362.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04362_html_a13e172e665473139a9fb8030cbf6cd73"><div class="ttname"><a href="../../d4/d8a/a04362.html#a13e172e665473139a9fb8030cbf6cd73">ExpansionStatic::ARGBtoInt</a></div><div class="ttdeci">static int ARGBtoInt(int a, int r, int g, int b)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00442">expansionstatic.c:442</a></div></div>
<div class="ttc" id="aa07894_html"><div class="ttname"><a href="../../d1/d53/a07894.html">ExpansionBulletTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00013">expansionbullettrace.c:14</a></div></div>
<div class="ttc" id="aa07894_html_a15aff5ff6e4e31dedffe38270612d341"><div class="ttname"><a href="../../d1/d53/a07894.html#a15aff5ff6e4e31dedffe38270612d341">ExpansionBulletTrace::m_Shapes</a></div><div class="ttdeci">ref array&lt; Shape &gt; m_Shapes</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00019">expansionbullettrace.c:19</a></div></div>
<div class="ttc" id="aa07894_html_a2ab445c1a435ad8d206a1d0847062b0c"><div class="ttname"><a href="../../d1/d53/a07894.html#a2ab445c1a435ad8d206a1d0847062b0c">ExpansionBulletTrace::OnUpdate</a></div><div class="ttdeci">bool OnUpdate(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00043">expansionbullettrace.c:43</a></div></div>
<div class="ttc" id="aa07894_html_a2ebaf345ba637db9fc663d77faa081dc"><div class="ttname"><a href="../../d1/d53/a07894.html#a2ebaf345ba637db9fc663d77faa081dc">ExpansionBulletTrace::m_PreviousPosition</a></div><div class="ttdeci">vector m_PreviousPosition</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00016">expansionbullettrace.c:16</a></div></div>
<div class="ttc" id="aa07894_html_a5b3b6b5a57ed97b82883832c16e05f72"><div class="ttname"><a href="../../d1/d53/a07894.html#a5b3b6b5a57ed97b82883832c16e05f72">ExpansionBulletTrace::m_PreviousTime</a></div><div class="ttdeci">float m_PreviousTime</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00017">expansionbullettrace.c:17</a></div></div>
<div class="ttc" id="aa07894_html_ab8f28e2c37fc45e454cf1286a93ef153"><div class="ttname"><a href="../../d1/d53/a07894.html#ab8f28e2c37fc45e454cf1286a93ef153">ExpansionBulletTrace::~ExpansionBulletTrace</a></div><div class="ttdeci">void ~ExpansionBulletTrace()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00031">expansionbullettrace.c:31</a></div></div>
<div class="ttc" id="aa07894_html_ac8b0fed5129b1201cdc3d32fc4f40b2a"><div class="ttname"><a href="../../d1/d53/a07894.html#ac8b0fed5129b1201cdc3d32fc4f40b2a">ExpansionBulletTrace::m_Object</a></div><div class="ttdeci">Object m_Object</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00015">expansionbullettrace.c:15</a></div></div>
<div class="ttc" id="aa07894_html_ad6f5c715fddba352733a36747f9650ff"><div class="ttname"><a href="../../d1/d53/a07894.html#ad6f5c715fddba352733a36747f9650ff">ExpansionBulletTrace::ExpansionBulletTrace</a></div><div class="ttdeci">void ExpansionBulletTrace(Object obj)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d6e/a03314_source.html#l00021">expansionbullettrace.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_231967e67354d2a1587a650cbf6d8d36.html">Weapons</a></li><li class="navelem"><a class="el" href="../../dir_124524079885b1c4b0d93d0b33d135aa.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_4f611b807712379c14755a227cd2b980.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_71d9268c5d0bae32cace4927e5d2963a.html">dayzexpansion_weapons</a></li><li class="navelem"><a class="el" href="../../dir_606999fb202bdbcd7b55f4df1b5e2633.html">classes</a></li><li class="navelem"><a class="el" href="../../da/d6e/a03314.html">expansionbullettrace.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
